Bug 1468803 - [abrt] gimp: fattal02_create_gaussian_pyramids(): gimp-2.8 killed by SIGSEGV
[abrt] gimp: fattal02_create_gaussian_pyramids(): gimp-2.8 killed by SIGSEGV
Status: NEW
Product: Fedora
Classification: Fedora
Component: gimp (Show other bugs)
27
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:cd72fdf1be1765d838ab7d9a986...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-08 03:32 EDT by Frank Büttner
Modified: 2017-11-20 02:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (166.56 KB, text/plain)
2017-07-08 03:32 EDT, Frank Büttner
no flags Details
File: cgroup (242 bytes, text/plain)
2017-07-08 03:32 EDT, Frank Büttner
no flags Details
File: core_backtrace (5.00 KB, text/plain)
2017-07-08 03:32 EDT, Frank Büttner
no flags Details
File: dso_list (25.13 KB, text/plain)
2017-07-08 03:32 EDT, Frank Büttner
no flags Details
File: environ (1.74 KB, text/plain)
2017-07-08 03:32 EDT, Frank Büttner
no flags Details
File: exploitable (100 bytes, text/plain)
2017-07-08 03:32 EDT, Frank Büttner
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-08 03:32 EDT, Frank Büttner
no flags Details
File: maps (114.45 KB, text/plain)
2017-07-08 03:32 EDT, Frank Büttner
no flags Details
File: mountinfo (3.45 KB, text/plain)
2017-07-08 03:32 EDT, Frank Büttner
no flags Details
File: namespaces (102 bytes, text/plain)
2017-07-08 03:32 EDT, Frank Büttner
no flags Details
File: open_fds (1.04 KB, text/plain)
2017-07-08 03:32 EDT, Frank Büttner
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-07-08 03:32 EDT, Frank Büttner
no flags Details
File: var_log_messages (316 bytes, text/plain)
2017-07-08 03:32 EDT, Frank Büttner
no flags Details

  None (edit)
Description Frank Büttner 2017-07-08 03:32:12 EDT
Description of problem:
Try to use the GEGL transform filter fattal02.

Version-Release number of selected component:
gimp-2.8.22-2.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        gimp-2.8
crash_function: fattal02_create_gaussian_pyramids
executable:     /usr/bin/gimp-2.8
global_pid:     4901
kernel:         4.11.8-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 fattal02_create_gaussian_pyramids at fattal02.c:847
 #1 fattal02_tonemap at fattal02.c:1117
 #2 fattal02_process at fattal02.c:1286
 #3 gegl_operation_filter_process at gegl-operation-filter.c:207
 #4 gegl_eval_visitor_visit_pad at gegl-eval-visitor.c:97
 #5 dfs_traverse at gegl-visitor.c:382
 #7 gegl_visitor_dfs_traverse at gegl-visitor.c:318
 #8 gegl_eval_mgr_apply at gegl-eval-mgr.c:219
 #9 gegl_node_apply_roi at gegl-node.c:867
 #10 spawnrender at gegl-node.c:895
Comment 1 Frank Büttner 2017-07-08 03:32:19 EDT
Created attachment 1295462 [details]
File: backtrace
Comment 2 Frank Büttner 2017-07-08 03:32:21 EDT
Created attachment 1295463 [details]
File: cgroup
Comment 3 Frank Büttner 2017-07-08 03:32:23 EDT
Created attachment 1295464 [details]
File: core_backtrace
Comment 4 Frank Büttner 2017-07-08 03:32:25 EDT
Created attachment 1295465 [details]
File: dso_list
Comment 5 Frank Büttner 2017-07-08 03:32:27 EDT
Created attachment 1295466 [details]
File: environ
Comment 6 Frank Büttner 2017-07-08 03:32:29 EDT
Created attachment 1295467 [details]
File: exploitable
Comment 7 Frank Büttner 2017-07-08 03:32:31 EDT
Created attachment 1295468 [details]
File: limits
Comment 8 Frank Büttner 2017-07-08 03:32:34 EDT
Created attachment 1295469 [details]
File: maps
Comment 9 Frank Büttner 2017-07-08 03:32:36 EDT
Created attachment 1295470 [details]
File: mountinfo
Comment 10 Frank Büttner 2017-07-08 03:32:38 EDT
Created attachment 1295471 [details]
File: namespaces
Comment 11 Frank Büttner 2017-07-08 03:32:39 EDT
Created attachment 1295472 [details]
File: open_fds
Comment 12 Frank Büttner 2017-07-08 03:32:41 EDT
Created attachment 1295473 [details]
File: proc_pid_status
Comment 13 Frank Büttner 2017-07-08 03:32:43 EDT
Created attachment 1295474 [details]
File: var_log_messages
Comment 14 Josef Ridky 2017-07-10 07:17:05 EDT
Works for me (tested on Fedora 24, 25 and 26 with gimp-2.8.22-2 and gegl-0.2.0-29).
Comment 15 Fedora End Of Life 2017-11-16 09:26:01 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.